Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## shout3d.core
Class Node

    java.lang.Object
      |
      +--shout3d.core.Node

Direct Known Subclasses:
  Appearance, Bindable, Color, Coordinate, Geometry, Group, Interpolator, JavaSound, Light, Material, Shape, Texture, TextureCoordinate, TimeSensor

public abstract class Node
extends java.lang.Object

An abstract class which is subclassed to create Shout3D Nodes.

Constructor Summary
`Node()` Default constructor

Method Summary
`java.lang.String` | `getDEFName()` Gets the DEF name of this Node
`Field` | `getField(java.lang.String fieldName)` Gets a Field by name
`Field` | `getFieldByIndex(int index)` Gets a Field by index
`java.lang.String` | `getFieldName(Field aField)` Gets the name of a Field.
`int` | `getNumFields()` Gets the number of fields in this Node
`java.lang.String` | `getTypeName()` Gets a string representing this Node's type
`boolean` | `isOfType(java.lang.String type)` Returns whether this node is of the same type, or a type derived from, the Node type given by the input string.
`void` | `setDEFName(java.lang.String DEFName)` Sets the DEF Name of this Node.
`void` | `setViewer(Shout3DViewer viewer)` Sets the Shout3DViewer in which this node is displayed.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Node

    public Node()

  Default constructor

Method Detail

### setViewer

    public void setViewer(Shout3DViewer viewer)

  Sets the Shout3DViewer in which this node is displayed.

### setDEFName

    public void setDEFName(java.lang.String DEFName)

  Sets the DEF Name of this Node.
  Parameters:
    `the` - DEF name

### getDEFName

    public java.lang.String getDEFName()

  Gets the DEF name of this Node
  Returns:
    the DEF name

### getNumFields

    public int getNumFields()

  Gets the number of fields in this Node
  Returns:
    the number of fields

### getField

    public Field getField(java.lang.String fieldName)
                   throws Shout3DException

  Gets a Field by name
  Parameters:
    `fieldName` - the fieldName

### getFieldByIndex

    public Field getFieldByIndex(int index)
                          throws Shout3DException

  Gets a Field by index
  Parameters:
    `index` - the index

### getFieldName

    public java.lang.String getFieldName(Field aField)
                                  throws Shout3DException

  Gets the name of a Field.
  Parameters:
    `aField` - the Field

### getTypeName

    public java.lang.String getTypeName()

  Gets a string representing this Node's type
  Returns:
    the string

### isOfType

    public boolean isOfType(java.lang.String type)

  Returns whether this node is of the same type, or a type derived from, the Node type given by the input string.
  Parameters:
    `type` - the node type string

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD